### Method

# Pango AttrIterator get_attrs

since: 1.2

#### Declaration [src]

    GSList*
    pango_attr_iterator_get_attrs (
      PangoAttrIterator* iterator
    )

#### Description [src]

Gets a list of all attributes at the current position of the iterator.

Available since: 1.2

#### Return value

Type: A list of `PangoAttribute*`

a list of all attributes for the current range. To free this value, call `pango_attribute_destroy()` on each value and `g_slist_free()` on the list.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.